<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.artifacts Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api.artifacts Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/api/artifacts/cache/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.api.artifacts</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Configuration.Namer.html" title="class in org.gradle.api.artifacts"><span class="strong">Configuration.Namer</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Namer.html" title="interface in org.gradle.api">Namer</a>&lt;T&gt;)</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="strong">Exception</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><span class="strong">RuntimeException</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/GradleException.html" title="class in org.gradle.api"><span class="strong">GradleException</span></a>
<ul>
<li type="circle">org.gradle.internal.exceptions.DefaultMultiCauseException (implements org.gradle.internal.exceptions.MultiCauseException)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ResolveException.html" title="class in org.gradle.api.artifacts"><span class="strong">ResolveException</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/PublishException.html" title="class in org.gradle.api.artifacts"><span class="strong">PublishException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/UnknownDomainObjectException.html" title="class in org.gradle.api"><span class="strong">UnknownDomainObjectException</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/UnknownConfigurationException.html" title="class in org.gradle.api.artifacts"><span class="strong">UnknownConfigurationException</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/UnknownRepositoryException.html" title="class in org.gradle.api.artifacts"><span class="strong">UnknownRepositoryException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api"><span class="strong">Action</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ComponentMetadataSupplier.html" title="interface in org.gradle.api.artifacts"><span class="strong">ComponentMetadataSupplier</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks"><span class="strong">AntBuilderAware</span></a>
<ul>
<li type="circle">org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><span class="strong">FileCollection</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts"><span class="strong">Configuration</span></a> (also extends org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a>&lt;SELF&gt;)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ArtifactIdentifier.html" title="interface in org.gradle.api.artifacts"><span class="strong">ArtifactIdentifier</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api"><span class="strong">Buildable</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/DependencySet.html" title="interface in org.gradle.api.artifacts"><span class="strong">DependencySet</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><span class="strong">FileCollection</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts"><span class="strong">Configuration</span></a> (also extends org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a>&lt;SELF&gt;)</li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts"><span class="strong">PublishArtifact</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ConfigurablePublishArtifact.html" title="interface in org.gradle.api.artifacts"><span class="strong">ConfigurablePublishArtifact</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/PublishArtifactSet.html" title="interface in org.gradle.api.artifacts"><span class="strong">PublishArtifactSet</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/SelfResolvingDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">SelfResolvingDependency</span></a> (also extends org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a>)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/FileCollectionDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">FileCollectionDependency</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ProjectDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">ProjectDependency</span></a> (also extends org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ComponentMetadata.html" title="interface in org.gradle.api.artifacts"><span class="strong">ComponentMetadata</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ComponentMetadataDetails.html" title="interface in org.gradle.api.artifacts"><span class="strong">ComponentMetadataDetails</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ComponentMetadataBuilder.html" title="interface in org.gradle.api.artifacts"><span class="strong">ComponentMetadataBuilder</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ComponentMetadataSupplierDetails.html" title="interface in org.gradle.api.artifacts"><span class="strong">ComponentMetadataSupplierDetails</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ComponentModuleMetadata.html" title="interface in org.gradle.api.artifacts"><span class="strong">ComponentModuleMetadata</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ComponentModuleMetadataDetails.html" title="interface in org.gradle.api.artifacts"><span class="strong">ComponentModuleMetadataDetails</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ComponentSelection.html" title="interface in org.gradle.api.artifacts"><span class="strong">ComponentSelection</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ComponentSelectionRules.html" title="interface in org.gradle.api.artifacts"><span class="strong">ComponentSelectionRules</span></a></li>
<li type="circle">org.gradle.util.Configurable&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts"><span class="strong">ArtifactRepositoryContainer</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api">NamedDomainObjectList</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts"><span class="strong">ConfigurationContainer</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">Dependency</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">ModuleDependency</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ExternalDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">ExternalDependency</span></a> (also extends org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts">ModuleVersionSelector</a>)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">ExternalModuleDependency</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ClientModule.html" title="interface in org.gradle.api.artifacts"><span class="strong">ClientModule</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ProjectDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">ProjectDependency</span></a> (also extends org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/SelfResolvingDependency.html" title="interface in org.gradle.api.artifacts">SelfResolvingDependency</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/SelfResolvingDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">SelfResolvingDependency</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/FileCollectionDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">FileCollectionDependency</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ProjectDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">ProjectDependency</span></a> (also extends org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/DependencyArtifact.html" title="interface in org.gradle.api.artifacts"><span class="strong">DependencyArtifact</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/DependencyResolutionListener.html" title="interface in org.gradle.api.artifacts"><span class="strong">DependencyResolutionListener</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html" title="interface in org.gradle.api.artifacts"><span class="strong">DependencyResolveDetails</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/DependencySubstitution.html" title="interface in org.gradle.api.artifacts"><span class="strong">DependencySubstitution</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/DependencySubstitutions.html" title="interface in org.gradle.api.artifacts"><span class="strong">DependencySubstitutions</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/DependencySubstitutions.Substitution.html" title="interface in org.gradle.api.artifacts"><span class="strong">DependencySubstitutions.Substitution</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ExcludeRule.html" title="interface in org.gradle.api.artifacts"><span class="strong">ExcludeRule</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ExcludeRuleContainer.html" title="interface in org.gradle.api.artifacts"><span class="strong">ExcludeRuleContainer</span></a></li>
<li type="circle">org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes"><span class="strong">HasAttributes</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts"><span class="strong">ArtifactView</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html" title="interface in org.gradle.api.artifacts"><span class="strong">ResolvableDependencies</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes"><span class="strong">HasConfigurableAttributes</span></a>&lt;SELF&gt;
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts"><span class="strong">ArtifactView.ViewConfiguration</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts"><span class="strong">Configuration</span></a> (also extends org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>)</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html" title="interface in org.gradle.api.artifacts"><span class="strong">ConfigurationPublications</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ConfigurationVariant.html" title="interface in org.gradle.api.artifacts"><span class="strong">ConfigurationVariant</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ArtifactCollection.html" title="interface in org.gradle.api.artifacts"><span class="strong">ArtifactCollection</span></a></li>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><span class="strong">Collection</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">DomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;E&gt;)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/DependencySet.html" title="interface in org.gradle.api.artifacts"><span class="strong">DependencySet</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/PublishArtifactSet.html" title="interface in org.gradle.api.artifacts"><span class="strong">PublishArtifactSet</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectList</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;E&gt;)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts"><span class="strong">ArtifactRepositoryContainer</span></a> (also extends org.gradle.util.Configurable&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectSet</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;E&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.util.Configurable&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts"><span class="strong">ConfigurationContainer</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><span class="strong">List</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectList</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts"><span class="strong">ArtifactRepositoryContainer</span></a> (also extends org.gradle.util.Configurable&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util"><span class="strong">Set</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/DependencySet.html" title="interface in org.gradle.api.artifacts"><span class="strong">DependencySet</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/PublishArtifactSet.html" title="interface in org.gradle.api.artifacts"><span class="strong">PublishArtifactSet</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectSet</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.util.Configurable&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts"><span class="strong">ConfigurationContainer</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><span class="strong">FileCollection</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts"><span class="strong">Configuration</span></a> (also extends org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a>&lt;SELF&gt;)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/LenientConfiguration.html" title="interface in org.gradle.api.artifacts"><span class="strong">LenientConfiguration</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts"><span class="strong">ModuleVersionSelector</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ExternalDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">ExternalDependency</span></a> (also extends org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a>)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">ExternalModuleDependency</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ClientModule.html" title="interface in org.gradle.api.artifacts"><span class="strong">ClientModule</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api"><span class="strong">Named</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ConfigurationVariant.html" title="interface in org.gradle.api.artifacts"><span class="strong">ConfigurationVariant</span></a> (also extends org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a>&lt;SELF&gt;)</li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ResolutionStrategy.html" title="interface in org.gradle.api.artifacts"><span class="strong">ResolutionStrategy</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts"><span class="strong">ResolvedArtifact</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ResolvedConfiguration.html" title="interface in org.gradle.api.artifacts"><span class="strong">ResolvedConfiguration</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">ResolvedDependency</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ResolvedModuleVersion.html" title="interface in org.gradle.api.artifacts"><span class="strong">ResolvedModuleVersion</span></a></li>
<li type="circle">java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io"><span class="strong">Serializable</span></a>
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleIdentifier.html" title="interface in org.gradle.api.artifacts"><span class="strong">ModuleIdentifier</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts"><span class="strong">ModuleVersionIdentifier</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/UnresolvedDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">UnresolvedDependency</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="strong">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/ResolutionStrategy.SortOrder.html" title="enum in org.gradle.api.artifacts"><span class="strong">ResolutionStrategy.SortOrder</span></a></li>
<li type="circle">org.gradle.api.artifacts.<a href="../../../../org/gradle/api/artifacts/Configuration.State.html" title="enum in org.gradle.api.artifacts"><span class="strong">Configuration.State</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/api/artifacts/cache/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
